newRandomCollection.Gene {galgo} | R Documentation

## Generates a list of cloned objects and random values

### Description

Creates a list of cloned objects with its internal values generated by random.

### Usage

    ## S3 method for class 'Gene'
    newRandomCollection(.O, ...)

### Arguments

`n` | Number of object clones.

### Details

For all cloned objects, `generateRandom` method is called. This has no effect for common `Gene` objects since the generated value is not stored there. However, this mechanism works equally well when it is needed to store values in `Gene`.

### Value

Returns a list with cloned objects and random generated values.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Gene`. `unObject`, `as.list.Object`, `newCollection.Chromosome`, `Chromosome`.

### Examples

       ge <- Gene(shape1=1, shape2=100)
       ge
       print(ge)
       # list of five new different Gene objects
       newRandomCollection(ge, 5)
       # list of two new different Gene objects converted to a list using unObject
       unObject(newRandomCollection(ge,2))

       # building chromosome from gene clones
       # (perhaps for variable selection in microarray data)
       cr <- Chromosome(genes=newRandomCollection(ge, 5))
       cr

[Package galgo version 1.4 Index]